{* provozovny *}
<section class="bg-light mb-3">
    <h4 class="bg-secondary text-white p-2 mb-0">Provozovny</h4>
    <div class="d-flex justify-content-end border-bottom py-2 px-3">
        {control novaProvozovna}
    </div>
    <div class="row px-3">
        <div class="col-12">
            {*seznam*}
            {snippet list}
                {*====== PAGINATOR ========*}
                {if (!empty($provozovny))}
                    <nav class="py-2">
                        <ul class="pagination justify-content-center mb-0">
                            {if $paginator->isFirst()}
                                <li class="page-item disabled">
                                    <a class="page-link" href="#">
                                        <i class="fa-solid fa-chevron-left"></i>
                                    </a>
                                </li>
                            {/if}
                            {if !$paginator->isFirst()}
                                <li class="page-item">
                                    <a class="page-link ajax" n:href="page! $page - 1">
                                        <i class="fa-solid fa-chevron-left"></i>
                                    </a>
                                </li>
                            {/if}
                            {for $i = $left; $i <= $right; $i++}
                                {if $i == $paginator->page}
                                    <li class="page-item active"><span class="page-link">{$i}</span></li>
                                {else}
                                    <li class="page-item"><a class="page-link ajax" n:href="page! $i">{$i}</a></li>
                                {/if}
                            {/for}
                            {if !$paginator->isLast()}
                                <li class="page-item">
                                    <a class="page-link ajax" n:href="page! $page + 1">
                                        <i class="fa-solid fa-chevron-right"></i>
                                    </a>
                                </li>
                            {/if}
                            {if $paginator->isLast()}
                                <li class="page-item disabled">
                                    <a class="page-link" href="#">
                                        <i class="fa-solid fa-chevron-right"></i>
                                    </a>
                                </li>
                            {/if}
                        </ul>
                    </nav>
                {/if}
                {*====== TABLE ========*}
                <section>
                    <div class="table-responsive">
                        <table class="table table-striped table-responsive">
                            <thead>
                            <tr>
                                <th scope="col">Název</th>
                                <th scope="col">Ulice</th>
                                <th scope="col">Město</th>
                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody>
                            {if (!empty($provozovny))}
                                {foreach $provozovny as $one}
                                    <tr>
                                        <td>{$one->nazev}</td>
                                        <td>{$one->ulice}</td>
                                        <td>{$one->mesto}</td>
                                        <td class="d-flex justify-content-end gap-3">
                                            {control editProvozovna-$one->id}
                                            {control vymazProvozovna-$one->id}
                                        </td>
                                    </tr>
                                {/foreach}
                            {else}
                                <tr>
                                    <td colspan="4" class="text-center">
                                        Žádná data k zobrazení
                                    </td>
                                </tr>
                            {/if}
                            </tbody>
                        </table>
                    </div>
                </section>
            {/snippet}
        </div>
    </div>
</section>